/*
   Kickshaw - A Menu Editor for Openbox

   Copyright (c) 2010–2022        Marcus Schätzle

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along 
   with Kickshaw. If not, see http://www.gnu.org/licenses/.
*/

#ifndef __editing_h
#define __editing_h

extern ks_data ks;

extern void activate_change_done (void);
extern guint8 check_if_invisible_ancestor_exists (GtkTreeModel *local_model, GtkTreePath *local_path);
extern gchar *get_modification_time_for_icon (const gchar *icon_path);
extern void get_toplevel_iter_from_path (GtkTreeIter *local_iter, GtkTreePath *local_path);
extern void push_new_item_on_undo_stack (const gboolean after_save);
extern gboolean regex_match_simple (const gchar *regex_str, const gchar *string, const guint32 compile_options, const guint32 match_options);
extern void remove_menu_id (const gchar *menu_id);
extern void repopulate_txt_fields_array (void);
extern void row_selected (void);
extern void set_entry_fields (void);
extern void show_errmsg (const gchar *errmsg_raw_txt);
extern void show_message_dialog (const gchar *dialog_title, const gchar *icon_name, const gchar *label_txt, const gchar *button_txt);
extern gboolean streq_any (const gchar *string, ...) G_GNUC_NULL_TERMINATED;

#endif
