/*
   Kickshaw - A Menu Editor for Openbox

   Copyright (c) 2010–2022        Marcus Schätzle

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along 
   with Kickshaw. If not, see http://www.gnu.org/licenses/.
*/

#ifndef __find_and_replace_h
#define __find_and_replace_h

extern ks_data ks;

extern void activate_change_done (void);
extern gboolean check_if_regex_is_valid (GtkWidget *regex_checkbox, GtkWidget *entry_field);
extern gboolean close_window (GtkWidget *window, GdkEventKey *event_key, gpointer keys);
extern void find_in_columns_management (const gboolean origin_is_fr, GtkWidget **in_columns, GtkWidget *in_all_columns, 
                                        gulong *handler_ids, const gchar *column_check_button_clicked);
extern guint32 get_compile_options (const gboolean find_and_replace);
extern void push_new_item_on_undo_stack (const gboolean after_save);
extern gboolean regex_match_simple (const gchar *regex_str, const gchar *string, const guint32 compile_options, const guint32 match_options);
extern void remove_menu_id (const gchar *menu_id);
extern void row_selected (void);
extern void set_header_bar_for_dialog (GtkWidget *dialog, const gchar *dialog_title_txt);
extern void show_errmsg (const gchar *errmsg_raw_txt);
extern gboolean streq_any (const gchar *string, ...) G_GNUC_NULL_TERMINATED;
extern void visually_indicate_request_for_user_intervention (GtkWidget *widget, GtkCssProvider *css_provider);

#endif
